> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../multi-event-custom-bet-on-soccer-with-six-selections.md).

# Multi-event Custom Bet on Soccer with Six Selections

This example is similar to the [Single Custom Bet on Soccer with Three Selections](/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../single-custom-bet-on-soccer-with-three-selections.md), but contains  6 selections that refer to 3 different events.

The overlying uf-custom-bet selection contains the consolidated odds for all six selections, which were previously fetched from UOF. \
The ticket contains only one bet (the Bets array length = 1).

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_509356",
    "bets": [
      {
        "selections": [
          {
            "type": "uf-custom-bet",
            "selections": [
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61301009",
                "marketId": "65",
                "outcomeId": "1711",
                "specifiers": "hcp=0:2",
                "odds": {
                  "type": "decimal",
                  "value": "1.50"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61301009",
                "marketId": "18",
                "outcomeId": "12",
                "specifiers": "total=1.5",
                "odds": {
                  "type": "decimal",
                  "value": "2.14"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61301009",
                "marketId": "1",
                "outcomeId": "3",
                "odds": {
                  "type": "decimal",
                  "value": "1.14"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61491027",
                "marketId": "26",
                "outcomeId": "70",
                "odds": {
                  "type": "decimal",
                  "value": "1.01"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61491027",
                "marketId": "77",
                "outcomeId": "74",
                "odds": {
                  "type": "decimal",
                  "value": "2.14"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61493459",
                "marketId": "27",
                "outcomeId": "70",
                "odds": {
                  "type": "decimal",
                  "value": "1.16"
                }
              }
            ],
            "odds": {
              "type": "decimal",
              "value": "1.25"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "10"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.9.11.2",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "endCustomer_384d54"
      },
      "limitId": 1409
    }
  },
  "correlationId": "Ckwq729Vbj33",
  "timestampUtc": 1770268866987,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "message": "Transaction processed",
    "code": 0,
    "signature": "ylgoT1tWmPWSiWdKtbUpYtjBTB6L2NEbBYt3LH2TnwV905lHAGUwNgdJTySanqEBMRBHnVdBFqYB+uee",
    "ticketId": "Ticket_509356",
    "status": "accepted",
    "betDetails": [
      {
        "code": 0,
        "message": "Transaction processed",
        "betId": "",
        "selectionDetails": [
          {
            "code": 0,
            "message": "Transaction processed",
            "selection": {
              "type": "uf-custom-bet",
              "selections": [
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61301009",
                  "marketId": "65",
                  "outcomeId": "1711",
                  "specifiers": "hcp=0:2",
                  "odds": {
                    "type": "decimal",
                    "value": "1.50"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61301009",
                  "marketId": "18",
                  "outcomeId": "12",
                  "specifiers": "total=1.5",
                  "odds": {
                    "type": "decimal",
                    "value": "2.14"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61301009",
                  "marketId": "1",
                  "outcomeId": "3",
                  "specifiers": "",
                  "odds": {
                    "type": "decimal",
                    "value": "1.14"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61491027",
                  "marketId": "26",
                  "outcomeId": "70",
                  "specifiers": "",
                  "odds": {
                    "type": "decimal",
                    "value": "1.01"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61491027",
                  "marketId": "77",
                  "outcomeId": "74",
                  "specifiers": "",
                  "odds": {
                    "type": "decimal",
                    "value": "2.14"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61493459",
                  "marketId": "27",
                  "outcomeId": "70",
                  "specifiers": "",
                  "odds": {
                    "type": "decimal",
                    "value": "1.16"
                  }
                }
              ],
              "odds": {
                "type": "decimal",
                "value": "1.25"
              },
              "useHarmOdds": false,
              "harmOddsApplied": false
            }
          }
        ]
      }
    ],
    "exchangeRate": [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000000"
      }
    ]
  },
  "correlationId": "Ckwq729Vbj33",
  "timestampUtc": 1770268868966,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../multi-event-custom-bet-on-soccer-with-six-selections.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
